edu.wpi.first.wpilibj.drive

## Enum RobotDriveBase.MotorType

- java.lang.Object
- - java.lang.Enum<RobotDriveBase.MotorType>
  - - edu.wpi.first.wpilibj.drive.RobotDriveBase.MotorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RobotDriveBase.MotorType>
  Enclosing class:
    RobotDriveBase

      public static enum RobotDriveBase.MotorType
      extends java.lang.Enum<RobotDriveBase.MotorType>

  The location of a motor on the robot for the purpose of driving.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kBack`
    `kFrontLeft`
    `kFrontRight`
    `kLeft`
    `kRearLeft`
    `kRearRight`
    `kRight`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RobotDriveBase.MotorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RobotDriveBase.MotorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kFrontLeft

          public static final RobotDriveBase.MotorType kFrontLeft

    - #### kFrontRight

          public static final RobotDriveBase.MotorType kFrontRight

    - #### kRearLeft

          public static final RobotDriveBase.MotorType kRearLeft

    - #### kRearRight

          public static final RobotDriveBase.MotorType kRearRight

    - #### kLeft

          public static final RobotDriveBase.MotorType kLeft

    - #### kRight

          public static final RobotDriveBase.MotorType kRight

    - #### kBack

          public static final RobotDriveBase.MotorType kBack

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static RobotDriveBase.MotorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RobotDriveBase.MotorType c : RobotDriveBase.MotorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RobotDriveBase.MotorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null